Bug 246429 - audio/ncmpc: Update to 0.38
Summary: audio/ncmpc: Update to 0.38
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-05-13 00:31 UTC by Laurent Cimon
Modified: 2020-05-13 11:34 UTC (History)
2 users (show)

See Also:


Attachments
Patch updating the ncmpc port to 0.38 (1.26 KB, patch)
2020-05-13 00:31 UTC, Laurent Cimon
laurent: maintainer-approval+
Details | Diff
additional improvements on top of submitter's patch (1.64 KB, patch)
2020-05-13 10:51 UTC, Fernando Apesteguía
laurent: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent Cimon 2020-05-13 00:31:04 UTC
Created attachment 214438 [details]
Patch updating the ncmpc port to 0.38

Sorry, this is a bit overdue. Not much changed in the port overall.

News:
ncmpc 0.38 - (2020-04-30)
* add option "timedisplay-type=none" to hide current song time
* fix use-after-free bug
* fix crash after entering empty password

ncmpc 0.37 - (2020-01-24)
* show performer on song page
* show partitions on outputs page (requires libmpdclient 2.18)
* search: add search tag "modified" (requires libmpdclient 2.10)
* fix compatibility with MPD versions older than 0.21
* switch to C++17

ncmpc 0.36 - (2019-11-05)
* screen_keydef: show "Add new key" only if there is room for more keys
* support the Alt modifier in hotkeys
* reduce network transfer

ncmpc 0.35 - (2019-09-14)
* fall back to "AlbumArtist" tag in the default format
* fix crash with a very narrow terminal window
* config: allow escaping single quote with backslash in key bindings
* config: fix bug with deprecated names in "screen-list" setting
Comment 1 Bugzilla Automation freebsd_committer 2020-05-13 00:31:04 UTC
Maintainer informed via mail
Comment 2 Fernando Apesteguía freebsd_committer 2020-05-13 07:31:18 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 3 Laurent Cimon 2020-05-13 10:00:06 UTC
Here you go, sorry for forgetting!
Comment 4 Fernando Apesteguía freebsd_committer 2020-05-13 10:29:49 UTC
(In reply to Laurent Cimon from comment #3)
No worries,

Thanks!
Comment 5 Fernando Apesteguía freebsd_committer 2020-05-13 10:51:07 UTC
Created attachment 214448 [details]
additional improvements on top of submitter's patch

New patch with fixed pkg-plist
Comment 6 Fernando Apesteguía freebsd_committer 2020-05-13 10:53:15 UTC
Hi Laurent,

The port fails to build. There is a missing element in the pkg-plist that should be added. Also, since whe changed PORTVERSION, there is no need to set PORTREVISION to 1.

Please, have a look at the new patch.

You might be interested in using ports-mgmt/portlint and ports-mgmt/poudriere. These tools catch most if not all of the common pitfalls we face when updating ports.
You can have more information here: https://www.freebsd.org/doc/en/books/porters-handbook/book.html#testing-poudriere
https://www.freebsd.org/doc/en/books/porters-handbook/book.html#porting-portlint

Cheers
Comment 7 Laurent Cimon 2020-05-13 11:30:38 UTC
Thank you for the recommendations, I use portlint, but I don't have poudrière setup as a development environment anymore, although I have used it. I'll play with it next time I hack on a port.

Good day!
Comment 8 commit-hook freebsd_committer 2020-05-13 11:33:43 UTC
A commit references this bug:

Author: fernape
Date: Wed May 13 11:33:19 UTC 2020
New revision: 535102
URL: https://svnweb.freebsd.org/changeset/ports/535102

Log:
  audio/ncmpc: Update to 0.38

  PR:	246429
  Submitted by:	laurent@nilio.ca (maintainer)

Changes:
  head/audio/ncmpc/Makefile
  head/audio/ncmpc/distinfo
  head/audio/ncmpc/pkg-plist
Comment 9 Fernando Apesteguía freebsd_committer 2020-05-13 11:34:36 UTC
Committed,

Thanks!